MCP Tools Reference: people.googleapis.com

الأداة: get_user_profile

الحصول على معلومات الملف الشخصي عنك (الاسم وعنوان البريد الإلكتروني)

يوضّح المثال التالي كيفية استخدام curl لاستدعاء أداة get_user_profile MCP.

طلب Curl
curl --location 'https://people.googleapis.com/mcp/v1' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_user_profile",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

مخطط الإدخال

رسالة الطلب الخاصة بـ GetUserProfile

مخطط النتائج

رسالة الردّ على GetUserProfile

GetUserProfileResponse

تمثيل JSON
{
  "name": string,
  "emailAddress": string
}
الحقول
name

string

الاسم المعروض للمستخدم.

emailAddress

string

عنوان البريد الإلكتروني لحساب المستخدم

التعليقات التوضيحية للأدوات

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌